% ========= HEADER =========
\ifmmtpaper
\usepackage[
%  showframe, % use to show margins
  outer=1in,
  inner=1in,
  hmarginratio=1:1,
  headheight=14.49998pt
]{geometry}
\else
\geometry{
  ignoreheadfoot,
  margin=1in,
  outer=1in,
  inner=1in,
  hmarginratio=1:1,
  headheight=14.49998pt
}
\fi

\setlength{\parindent}{0pt}
\setlength{\parskip}{5pt plus 2pt minus 1pt}
\usepackage{fancyhdr}
\fancypagestyle{plain}{
\fancyhf{}
\renewcommand{\headrulewidth}{0pt}              % remove top line
\renewcommand{\footrulewidth}{0pt}              % remove bottom line
\fancyhead[L]{\authorname}
\fancyhead[R]{\nouppercase{\rightmark}}
\fancyfoot[R]{\thepage}
}
\pagestyle{plain}
\renewcommand{\sectionmark}[1]{\markright{\thesection\ #1}}  % rightmark the section name
\renewcommand{\subsectionmark}[1]{\markright{\thesubsection\ #1}}  % rightmark the subsection name
\renewcommand{\subsubsectionmark}[1]{\markright{\thesubsubsection\ #1}}  % rightmark the subsubsection name